<?php
defined( 'ABSPATH' ) || exit; // Prevent direct access
$section_name = basename(__FILE__, '.php');
?>

<div class="row container">
   <div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
      <div class="card-body">
         <div class="row">
            <div class="col-md-6">
               <div class="<?php echo (is_rtl() ? 'float-right' : 'float-left') ?>">
                  <button type="button" id="sync_geo_locations" class="btn btn-success btn-sm" id="test-ajax">
                    <i class="tim-icons icon-refresh-02"></i> <?php echo __('Sync', 'rsgws') ?>
                  </button>
               </div>
            </div>
            <div class="col-md-6">
               <div class="float-<?php echo (is_rtl() ? 'left' : 'right') ?>">
                  <img class="geo-locations-image-button" src="<?php echo IMAGE_URL .'/excel-icon.png' ?>"  alt="excel export">
                   <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section='.$section_name.'&software=' . $software_title; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
                       <i class="tim-icons icon-video-66"></i>
                   </a>
               </div>
            </div>
         </div>
         <br>
            <div id="datatable_wrapper" class="dataTables_wrapper dt-bootstrap4">
               <div class="row">
                  <div class="col-sm-12">
                      <table id="datatable-geo-locations" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                          <thead>
                          <tr role="row">
                              <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                              <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" aria-label="activate to sort column ascending"><?php echo __('City', 'rsgws') ?></th>
                              <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" aria-label="activate to sort column ascending"><?php echo __('State', 'rsgws') ?></th>
                              <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" aria-label="activate to sort column ascending"><?php echo __('Country', 'rsgws') ?></th>
                          </tr>
                          </thead>
                          <tbody>
                          </tbody>
                          <tfoot>
                          </tfoot>
                      </table>

                  </div>
               </div>
            </div>
         </div>
   </div>
</div>

