<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access
// Set section name
$section_name = basename(__FILE__, '.php');

// Output

?>

<div class="card-body">
   <div class="row">
      <div class="col-md-6">
         <div class="<?php echo (is_rtl() ? 'float-right' : 'float-left') ?>">
           <button type="button" id="sync-all-products" class="btn btn-success btn-sm">
              <i class="tim-icons icon-refresh-02"></i> <?php echo __('Sync Now', 'rsgws') ?>
           </button>
         </div>
      </div>
      <div class="col-md-6">
         <div class="float-<?php echo (is_rtl() ? 'left' : 'right') ?>">
            <img class="software-products-image-button" src="<?php echo IMAGE_URL .'/excel-icon.png' ?>"  alt="excel export">
             <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section='.$section_name.'&software=' . $software_title; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
                 <i class="tim-icons icon-video-66"></i>
             </a>
         </div>
      </div>
   </div>
   <br>
   <div class="dataTables_wrapper dt-bootstrap4">
      <div class="row">
         <div class="col-sm-12">
            <table id="datatable-<?php echo $section_name ?>" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
               <thead>
                  <tr role="row">
                     <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php _e('Code', 'rsgws') ?></th>
                     <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php _e('Title', 'rsgws') ?></th>
                     <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php _e('Tracking Title', 'rsgws') ?></th>
                  </tr>
               </thead>
               <tbody>
               </tbody>
               <tfoot>
               </tfoot>
            </table>
         </div>
      </div>
   </div>
</div>

