<?php
defined( 'ABSPATH' ) || exit; // Prevent direct access
$tab                  = basename( __FILE__, '.php' );
$pageManager->section = $pageManager->section ?? "banks";

?>
<div class="row container">
    <div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
        <div class="row">
            <div class="col-md-3 border border-left-1 border-right-0 border-top-0 border-bottom-0">
                <div class="nav flex-column nav-pills" id="v-pills-tab">

					<?php foreach ( $pageManager->getFinancialSections() as $key => $section ) : ?>

                        <a class="nav-link <?= $section['slug'] == $pageManager->section ? 'active' : '' ?>"
                           id="v-pills-<?php echo $section['slug'] ?>-tab"
                           href="admin.php?page=rsgws-base_information&tab=<?= $pageManager->tab ?>&section=<?php echo $section['slug'] ?>"><?php echo $section['title'] ?></a>

					<?php endforeach ?>

                </div>
            </div>
            <div class="col-md-9">
                <div class="tab-content" id="v-pills-tabContent">
					<?php include( plugin_dir_path( __FILE__ ) . $tab . '/' . $pageManager->section . '.php' ); ?>
                </div>
            </div>
        </div>
    </div>
</div>
