<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

global $software_title;
if ( $software_title == "dasht" ) {
	$exc = new inc\classes\software\dasht\Units;
}elseif ($software_title == "sepidar"){
    $exc = new inc\classes\software\sepidar\baseInformation\Units;
}
$section_name = basename( __FILE__, '.php' );
$units        = $exc->getAllUnits();
?>

<div class="row container">
    <div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
        <div class="card-body">
            <div class="row">
                <div class="col-md-6">
                    <form class="<?php echo( is_rtl() ? 'float-right' : 'float-left' ) ?>" method="post" action="">
						<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
                        <button type="submit" name="sync_all_units" class="btn btn-success btn-sm">
                            <i class="tim-icons icon-refresh-02"></i> <?php echo __( 'Sync', 'rsgws' ) ?>
                        </button>
                    </form>
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-sm-12">
                    <div class="table-responsive">
                        <table class="table table-striped dtr-inline collapsed">
                            <thead>
                            <tr>
                                <th class="text-right"><?php echo __( 'ID', 'rsgws' ) ?></th>
                                <th class="text-right"><?php echo __( 'Title', 'rsgws' ) ?></th>
                            </tr>
                            </thead>
                            <tbody>
							<?php
							if ( ! empty( $units ) ) {
								foreach ( $units as $unit ) {
									?>
                                    <tr>
                                        <td><?= $unit->unit_id ?></td>
                                        <td><?= $unit->title ?></td>
                                    </tr>
									<?php
								}
							}
							?>
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

