<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access
// Load form data
$form_data = get_option('rsgws-user-connection');
$token_data = get_option('rsgws_atoken');
$api_list = get_option('rapi_scan_get');
?>

<div class="rsgws container p-5">
    <div class="row container">
        <a href="https://virateam.com/connect-dasht" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
            <i class="tim-icons icon-video-66"></i>
        </a>
                    <span style="font-size: 12px;margin-top: 6px;margin-right: 10px;font-weight: 500;">با زدن دکمه "آزمایش" اتصال به نرم افزار را تست کنین و اگر برقرار نبود با دیدن ویدیو اتصال را برقرار کنید</span>

        <div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
            <a href="<?php echo IMAGE_LINK; ?>" target="_blank" rel="noreferrer noopener">
                <img class="float-left main-logo" src="<?php echo IMAGE_URL .'/logo.png' ?>"  alt="logo" width="40px">
            </a>
            <h5 class="title"><?php _e('User Connection', 'rsgws') ?></h5>
            <hr>
			<?php
			if(empty($api_list)){ ?>
                <div>
                    <h3 class="text-center">
                        به افزونه ووکامرس ارتباط با نرم افزارهای مالی خوش آمدید
                    </h3>
                    <p class="text-right" style="margin-top: 1em; font-size: 1rem">
                        این افزونه برای همگام سازی کالاهای موجود در نرم افزارهای مالی و ووکامرس ایجاد شده است، همچنین به مدیر سایت امکان فراخوانی موجودی و قیمت کالاها و نیز صدور خودکار فاکتور در نرم افزار مالی و کسر اتوماتیک از موجودی انبار را می دهد.
                        لطفا برای شروع روی دکمه دریافت توکن کلیک کنید.
                    </p>
                    <h5 class="text-right">
                        اعم امکانات قابل ارائه در داشبورد مدیریتی  ووکامرس رویال:
                    </h5>
                    <ul class="text-right" style="list-style: circle; margin-right: 2em; margin-top: 1.5em;">
                        <li>
                            انتخاب حسابهای بانکی مورد نظر جهت اتصال به درگاه های بانکی
                        </li>
                        <li>
                            ایجاد گروه انبار جهت بارگزاری کالاهای هریک از انبارهای مورد نیاز در ووکامرس
                        </li>
                        <li>
                            امکان اتصال مشتریان فعلی یا آتی ووکامرس به طرف حساب های نرم افزار مالی
                        </li>
                        <li>
                            امکان تعریف گروه مشتریان متفاوت جهت نمایش قیمت های مربوط به آن گروه
                        </li>
                        <li>
                            امکان بارگزاری کلیه یا بخشی از محصولات ثبت شده نرم افزار مالی در ووکامرس، شامل محصولات ساده یا متغیر دارای ردیابی
                        </li>
                        <li>
                            امکان درج یا عدم درج قیمت های ثبت شده نرم افزار مالی در ووکامرس
                        </li>
                        <li>
                            امکان بروزرسانی و همگام سازی محصولات موجود در نرم افزار مالی با ووکامرس
                        </li>
                        <li>
                            امکان تنظیم زمانبندی اتصال جهت همگام سازی اسناد مالی، موجودی و قیمت کالاها به صورت دوره ای، ثابت و به محض وقوع
                        </li>
                        <li>
                            دارای سیستم گزارش دهی به مدیر سایت
                        </li>
                    </ul>
                    <p class="text-right">
                        <span style="color: #d70000; font-weight: bold;">توجه :</span> با کلیک بر روی دکمه دریافت توکن آدرس وبسایت شما برای مجموعه رویال ارسال خواهد شد و یک توکن فعالساز برای دامین  <strong><?php echo $_SERVER['HTTP_HOST']; ?> </strong> ایجاد می شود.
                    </p>
                    <button name="rsgws_request_token_with_api" id="rsgws-request_token_with_api" class="btn btn-success" style="width: 100%;"><?php _e('Get Token', 'rsgws'); ?></button>
                </div>
			<?php }else{
				?>
                <form method="post">
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="rsgws-software-title"><?php _e('Software title', 'rsgws') ?></label>
                            <select name="rsgws_software_title" id="rsgws-software-title" class="form-control" autocomplete="off" required>
                                <option value="" <?php if(!empty($form_data)){if($form_data['software_title'] == ''){echo 'selected'; }} ?>><?php _e('Choose...', 'rsgws') ?></option>
								<?php
								$apis = explode(', ', $api_list);
								foreach($apis as $api){
									switch($api){
										case 1:
											?>
                                            <option value="sepidar" <?php if(!empty($form_data)){if($form_data['software_title'] == 'sepidar'){echo 'selected'; }} ?>><?php _e('Sepidar - Hamkaran System', 'rsgws') ?></option>
											<?php
											break;
										case 2:
											?>
                                            <option value="sepidar-plus" <?php if(!empty($form_data)){if($form_data['software_title'] == 'sepidar-plus'){echo 'selected'; }} ?>><?php _e('Sepidar - Plus', 'rsgws') ?></option>
											<?php
											break;
										case 3:
											?>
                                            <option value="dasht" <?php if(!empty($form_data)){if($form_data['software_title'] == 'dasht'){echo 'selected'; }} ?>><?php _e('Dasht', 'rsgws') ?></option>
										    <?php
                                            break;
                                        case 5:
                                            ?>
                                            <option value="rahkaran" <?php if(!empty($form_data)){if($form_data['software_title'] == 'rahkaran'){echo 'selected'; }} ?>><?php _e('Rahkaran', 'rsgws') ?></option>
                                            <?php
                                            break;
									}
								}
								?>

                            </select>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="rsgws-connection-method"><?php _e('Connection method', 'rsgws') ?></label>
                            <select name="rsgws_connection_method" id="rsgws-connection-method" class="form-control" autocomplete="off" required>
                                <option value="" <?php if(!empty($form_data)){if($form_data['connection_method'] == ''){ echo 'selected'; }}; ?>><?php _e('Choose...', 'rsgws') ?></option>
                                <option value="api" <?php if(!empty($form_data)){if($form_data['connection_method'] == 'api'){echo 'selected'; }} ?>><?php _e('API', 'rsgws') ?></option>
                            </select>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="rsgws-service-address"><?php _e('Service address', 'rsgws') ?></label>
                            <input type="text" name="rsgws_service_address" class="form-control dir-ltr" id="rsgws-service-address" placeholder="http://..." value="<?php if(!empty($form_data)){echo $form_data['service_address'];}else{echo '';} ?>" required>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="rsgws-port"><?php _e('Port', 'rsgws') ?></label>
                            <input type="number" name="rsgws_port" class="form-control" id="rsgws-port" min="1" max="65535" placeholder="" value="<?php if(!empty($form_data)){echo $form_data['port'];}else{echo '';} ?>" required>
                        </div>
                    </div>
					<?php
					if( isset( $form_data['software_title'] ) )
					{
						switch($form_data['software_title'])
						{
							case 'sepidar':
								?>
                                <div class="form-row rsgws-token">
                                    <div class="form-group col-md-6">
                                        <label for="rsgws-token"><?php _e('Token', 'rsgws') ?></label>
                                        <input type="text" name="rsgws_token" class="form-control" id="rsgws-token" value="<?php if(!empty($form_data)){echo $form_data['token'];}else{echo '';} ?>" required>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="rsgws-username"><?php _e('Username', 'rsgws') ?></label>
                                        <input type="text" name="rsgws_username" class="form-control dir-ltr" id="rsgws-username" autocomplete="off" readonly onfocus="this.removeAttribute('readonly');" value="<?php if(!empty($form_data)){echo $form_data['username'];}else{echo '';}?>" required>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="rsgws-password"><?php _e('Password', 'rsgws') ?></label>
                                        <input type="password" name="rsgws_password" class="form-control" id="rsgws-password" autocomplete="off" readonly onfocus="this.removeAttribute('readonly');" placeholder="" value="<?php if(!empty($form_data)){echo $form_data['password'];}else{echo '';}?>" required>
                                    </div>
                                </div>
								<?php
								break;
							case 'sepidar-plus':
								?>
                                <div class="form-row rsgws-lock-number">
                                    <div class="form-group col-md-6">
                                        <label for="rsgws-lock-number"><?php _e('Lock number', 'rsgws') ?></label>
                                        <input type="text" name="rsgws_lock_number" class="form-control" id="rsgws-lock-number" value="<?php if(!empty($form_data)){echo $form_data['lock_number'];}else{echo '';} ?>" required>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="rsgws-username"><?php _e('Username', 'rsgws') ?></label>
                                        <input type="text" name="rsgws_username" class="form-control dir-ltr" id="rsgws-username" autocomplete="off" readonly onfocus="this.removeAttribute('readonly');" value="<?php if(!empty($form_data)){echo $form_data['username'];}else{echo '';}?>" required>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="rsgws-password"><?php _e('Password', 'rsgws') ?></label>
                                        <input type="password" name="rsgws_password" class="form-control" id="rsgws-password" autocomplete="off" readonly onfocus="this.removeAttribute('readonly');" placeholder="" value="<?php if(!empty($form_data)){echo $form_data['password'];}else{echo '';}?>" required>
                                    </div>
                                </div>
								<?php
								break;
							case 'dasht':
								?>
                                <div class="form-row rsgws-user-guid">
                                    <div class="form-group col-md-12">
                                        <label for="rsgws-user-guid"><?php _e('User GUID', 'rsgws') ?></label>
                                        <input type="text" name="rsgws_user-guid" class="form-control" id="rsgws-user-guid" value="<?php if(!empty($form_data)){echo $form_data['token'];}else{echo '';} ?>" required>
                                    </div>
                                </div>
								<?php
								break;
                            case 'rahkaran':
                                ?>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="rsgws-username"><?php _e('Username', 'rsgws') ?></label>
                                        <input type="text" name="rsgws_username" class="form-control dir-ltr" id="rsgws-username" autocomplete="off" readonly onfocus="this.removeAttribute('readonly');" value="<?php if(!empty($form_data)){echo $form_data['username'];}else{echo '';}?>" required>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="rsgws-password"><?php _e('Password', 'rsgws') ?></label>
                                        <input type="password" name="rsgws_password" class="form-control" id="rsgws-password" autocomplete="off" readonly onfocus="this.removeAttribute('readonly');" placeholder="" value="<?php if(!empty($form_data)){echo $form_data['password'];}else{echo '';}?>" required>
                                    </div>
                                    <div class="form-group col-md-12">
                                        <label for="rsgws-computer-name"><?php _e('Computer name', 'rsgws') ?></label>
                                        <input type="text" name="rsgws_computer_name" class="form-control" id="rsgws-computer-name" autocomplete="off" readonly onfocus="this.removeAttribute('readonly');" placeholder="" value="<?php if(!empty($form_data)){echo $form_data['lock_number'];}else{echo '';}?>" required>
                                    </div>
                                </div>
                            <?php
                                break;
						}
					}else{
						?>
                        <div class="form-row rsgws-token d-none">
                            <div class="form-group col-md-6">
                                <label for="rsgws-token"><?php _e('Token', 'rsgws') ?></label>
                                <input type="text" name="rsgws_token" class="form-control" id="rsgws-token" value="<?php if(!empty($form_data)){echo $form_data['token'];}else{echo '';} ?>" required>
                            </div>
                        </div>
                        <div class="form-row rsgws-lock-number d-none">
                            <div class="form-group col-md-6">
                                <label for="rsgws-lock-number"><?php _e('Lock number', 'rsgws') ?></label>
                                <input type="text" name="rsgws_lock_number" class="form-control" id="rsgws-lock-number" value="<?php if(!empty($form_data)){echo $form_data['lock_number'];}else{echo '';} ?>" required>
                            </div>
                        </div>
                        <div class="form-row rsgws-user-guid d-none">
                            <div class="form-group col-md-12">
                                <label for="rsgws-user-guid"><?php _e('User GUID', 'rsgws') ?></label>
                                <input type="text" name="rsgws_user-guid" class="form-control" id="rsgws-user-guid" value="<?php if(!empty($form_data)){echo $form_data['user-guid'];}else{echo '';} ?>" required>
                            </div>
                        </div>
                        <div class="form-row rsgws-user-pass d-none">
                            <div class="form-group col-md-6">
                                <label for="rsgws-username"><?php _e('Username', 'rsgws') ?></label>
                                <input type="text" name="rsgws_username" class="form-control dir-ltr" id="rsgws-username" autocomplete="off" readonly onfocus="this.removeAttribute('readonly');" value="<?php if(!empty($form_data)){echo $form_data['username'];}else{echo '';}?>" required>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="rsgws-password"><?php _e('Password', 'rsgws') ?></label>
                                <input type="password" name="rsgws_password" class="form-control" id="rsgws-password" autocomplete="off" readonly onfocus="this.removeAttribute('readonly');" placeholder="" value="<?php if(!empty($form_data)){echo $form_data['password'];}else{echo '';}?>" required>
                            </div>
                        </div>
                        <div class="form-row rsgws-computer-name d-none">
                            <div class="form-group col-md-12">
                                <label for="rsgws-computer-name"><?php _e('Computer name', 'rsgws') ?></label>
                                <input type="text" name="rsgws_computer_name" class="form-control" id="rsgws-computer-name" autocomplete="off" readonly onfocus="this.removeAttribute('readonly');" placeholder="" value="<?php if(!empty($form_data)){echo $form_data['computer_name'];}else{echo '';}?>" required>
                            </div>
                        </div>
						<?php
					}
					?>
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            <label for="rsgws-validation-token"><?php _e('Validation Token', 'rsgws') ?></label>
                            <input type="text" name="rsgws_validation-token" class="form-control dir-ltr" id="rsgws-validation-token" value="<?php if(!empty($form_data)){ echo $form_data['validation_token'];}elseif(!empty($token_data)){ echo str_replace('"', '', get_option('rsgws_atoken', true));}else{ echo '';} ?>" readonly>
                        </div>
                    </div>
                    <button name="rsgws_test" id="rsgws_test_connection" class="btn btn-secondary btn-sm ml-20 <?php echo is_rtl() ? 'float-right' : 'float-left'; ?>"><?php _e('Test', 'rsgws') ?></button>
                    <button name="rsgws_cancel" id="rsgws_reomve_connection" class="btn btn-danger <?php echo (!empty(get_option('rsgws-user-connection')) || get_option('rsgws-user-connection') != null) ? 'rsgws-remove-user-connection' : 'rsgws-disable-link-button'; ?> <?php echo is_rtl() ? 'float-left' : 'float-right'; ?>"><?php _e('Disconnect', 'rsgws') ?></button>
                    <button name="rsgws_request_token" id="rsgws-request_token" class="btn btn-success <?php echo (!empty(get_option('rsgws-user-connection')) || get_option('rsgws-user-connection') != null) ? 'rsgws-disable-link-button' : ''; ?> <?php echo is_rtl() ? 'float-left' : 'float-right'; ?>"><?php _e('Get Token', 'rsgws'); ?></button>
                </form>
			<?php } ?>
        </div>
    </div>
</div>

<!-- Modal -->
<div class="rsgws modal fade" id="rsgwsAcceptAgreement" data-backdrop="static" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalLabel"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="container">
                            <h3 class="text-center"><?php _e('Agreement', 'rsgws'); ?></h3>
                            <p class="text-right justify-content"><?php _e('According to this agreement, we can save your connection details listed in the following list for security reasons: ', 'rsgws') ?></p>
                            <ul class="text-right">
                                <li class="strong"><?php _e('Device Serial', 'rsgws'); ?></li>
                                <li class="strong"><?php _e('Lock Number', 'rsgws'); ?></li>
                                <li class="strong"><?php _e('Your Website URL', 'rsgws'); ?></li>
                            </ul>
                            <p class="text-right justify-content"><?php _e('And also We are committed that don\'t share your info with 3rd party persons.', 'rsgws'); ?></p>
                            <form method="post">
                                <input type="hidden" name="hidden_rsgws_software" id="hidden_rsgws-software"/>
                                <input type="hidden" name="hidden_rsgws_connection_method" id="hidden_rsgws-connection_method"/>
                                <input type="hidden" name="hidden_rsgws_server_ip" id="hidden_rsgws-server_ip"/>
                                <input type="hidden" name="hidden_rsgws_server_port" id="hidden_rsgws-server_port"/>
                                <input type="hidden" name="hidden_rsgws_dev_serial" id="hidden_rsgws-dev_serial"/>
                                <input type="hidden" name="hidden_rsgws_lock_number" id="hidden_rsgws-lock_number"/>
                                <input type="hidden" name="hidden_rsgws_user_guid" id="hidden_rsgws-user-guid"/>
                                <input type="hidden" name="hidden_rsgws_username" id="hidden_rsgws-username"/>
                                <input type="hidden" name="hidden_rsgws_password" id="hidden_rsgws-password"/>
                                <input type="hidden" name="hidden_rsgws_computer_name" id="hidden_rsgws-computer-name"/>
                                <button name="rsgws_submit_agreement" id="rsgws-submit_agreement" class="btn btn-success <?php echo is_rtl() ? 'float-left' : 'float-right' ?>"><?php _e('Accept agreement and continue', 'rsgws'); ?></button>
                                <button name="rsgws_cancel_agreement" class="btn btn-danger rsgws-cancel-agreement <?php echo is_rtl() ? 'float-left ml-1' : 'float-right' ?>"><?php _e('Decline Agreement', 'rsgws') ?></button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>