<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$tab = 'financial-information';

// Set section name
$section_name = basename(__FILE__, '.php');

// Output

?>


<div class="card-body">
   <div class="row">
      <div class="col-md-6">
         <div class="<?php echo (is_rtl() ? 'float-right' : 'float-left') ?>">
            <a href="#">
            <button type="button" class="btn btn-primary btn-sm">
            <i class="tim-icons icon-simple-add"></i> <?php echo __('Add new', 'rsgws') ?>                </button>
            </a>
         </div>
      </div>
      <div class="col-md-6">
         <div class="float-<?php echo (is_rtl() ? 'left' : 'right') ?>">
            <a href="#"><img class="image-button" src="<?php echo IMAGE_URL .'/excel-icon.png' ?>" ></a>
         </div>
      </div>
   </div>
   <br>
   <div class="dataTables_wrapper dt-bootstrap4">
      <div class="row">
         <div class="col-sm-12">
            <table id="datatable-<?php echo $section_name ?>" class="table table-striped dataTable dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
               <thead>
                  <tr role="row">
                     <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" style="width: 260px;" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Title', 'rsgws') ?></th>
                     <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                     <th class="sorting_desc_disabled sorting_asc_disabled text-left sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" style="width: 180px;" aria-label="Actions: activate to sort column ascending"><?php echo __('Actions', 'rsgws') ?></th>
                  </tr>
               </thead>
               <tbody>
               </tbody>
               <tfoot>
               </tfoot>
            </table>
         </div>
      </div>
   </div>
</div>

