<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$tab = basename(__FILE__, '.php');
?>


<div class="row container default-base-info-page">
   <div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
      <div class="card-body">
         <div class="row">
            <div class="col-md-6">
               <div class="<?php echo (is_rtl() ? 'float-right' : 'float-left') ?>">
                  <a href="<?php echo add_query_arg( array('page' => 'rsgws-base-information','tab' => $tab, 'sync_now' => 1, 'sync' => 'users'), admin_url( 'admin.php' ))?>">
                  <button type="button" data-toggle="modal" data-target="#Modal" data-backdrop="static" data-keyboard="false" class="btn btn-primary btn-sm">
                  <i class="tim-icons icon-simple-add"></i> <?php echo __('Add new', 'rsgws') ?>                </button>
                  </a>
               </div>
            </div>
            <div class="col-md-6">
               <div class="float-<?php echo (is_rtl() ? 'left' : 'right') ?>">
                  <a href="#"><img class="image-button" src="<?php echo IMAGE_URL .'/excel-icon.png' ?>" ></a>
               </div>
            </div>
         </div>


         <div class="dataTables_wrapper dt-bootstrap4">
            <div class="row">
               <div class="col-sm-12">
                  <br>
                  <div id="datatable_wrapper" class="dataTables_wrapper dt-bootstrap4 no-footer">
                     <div class="row">
                        <div class="col-sm-12">
                           <table id="datatable-<?php echo $tab ?>" class="table table-striped dataTable dtr-inline collapsed no-footer" role="grid" aria-describedby="datatable-moein-account_info" style="width: 0px;">
                              <thead>
                                 <tr role="row">
                                    <th class="text-right sorting_asc" tabindex="0" aria-controls="datatable-moein-account" rowspan="1" colspan="1" style="width: 0px;" aria-label="نام کامل: activate to sort column descending" aria-sort="ascending">نام کامل</th>
                                    <th class="text-right sorting" tabindex="0" aria-controls="datatable-moein-account" rowspan="1" colspan="1" aria-label="شماره تماس: activate to sort column ascending" style="width: 0px;">شماره تماس</th>
                                    <th class="text-right sorting" tabindex="0" aria-controls="datatable-moein-account" rowspan="1" colspan="1" aria-label="آخرین ورود: activate to sort column ascending" style="width: 0px;">آخرین ورود</th>
                                    <th class="sorting_desc_disabled sorting_asc_disabled text-right sorting" tabindex="0" aria-controls="datatable-moein-account" rowspan="1" colspan="1" style="width: 0px;" aria-label="عملیات: activate to sort column ascending">عملیات</th>
                                 </tr>
                              </thead>
                              <tbody>
                                  <?php
                                if(!empty($all_customers) && is_array($all_customers)):
                                    foreach($all_customers as $customer){ ?>
                                        <tr role="row">
                                            <td class="text-right sorting" tabindex="0" aria-controls="datatable-moein-account" rowspan="1" colspan="1">
                                               <?php echo $customer['Name'].' '.$customer['LastName']; ?>
                                            </td>
                                        </tr>
                                        <tr role="row">
                                            <td class="text-right sorting" tabindex="0" aria-controls="datatable-moein-account" rowspan="1" colspan="1">
                                               <?php echo $customer['PhoneNumber']; ?>
                                            </td>
                                        </tr>
                                        <tr role="row">
                                            <td class="text-right sorting" tabindex="0" aria-controls="datatable-moein-account" rowspan="1" colspan="1">
                                               <?php echo $customer['Name']; ?>
                                            </td>
                                        </tr>
                                        <tr role="row">
                                            <td class="text-right sorting" tabindex="0" aria-controls="datatable-moein-account" rowspan="1" colspan="1">
                                                <a href="#">
                                                   <button type="button" data-toggle="modal" data-target="#Modal" class="btn btn-primary btn-sm">
                                                       <i class="tim-icons icon-pencil"><?php echo __('Edit costumer', 'rsgws') ?></i>
                                                   </button>
                                               </a>
                                            </td>
                                        </tr>
                                    <?php } ?>

                                <?php endif; ?>
                              </tbody>
                              <tfoot>
                              </tfoot>
                           </table>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>


         </div>
   </div>
</div>