<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

use inc\classes\PageManager;
use inc\classes\RsgwsRegisterMenus;
use inc\classes\software\dasht\GetDataFromDasht;

$dasht = new GetDataFromDasht();
$test = $dasht->test_connection();

$pageManager = new PageManager();
$form_data = get_option('rsgws-user-connection');

?>

<div class="rsgws container p-5">
        <ul class="nav nav-pills">
            <?php if($test){ ?>
               <li id="financial-information" class="nav-item">
                <span class="nav-link active btn-success" style="font-size:13px;">اتصال شما برقرار است</span>
            </li>
            <?php } else{ ?>
            
              <li id="financial-information" class="nav-item">
                <span class="nav-link active btn-danger" style="font-size:13px;">اتصال شما برقرار نیست(با رفتن به بخش "اتصال کاربر" با توجه به ویدیو اموزشی اتصال را برقرار کنید)</span>
            </li>
            <?php } ?>
         
		    </ul>
    <ul class="nav nav-pills">
		<?php foreach ( $pageManager->getTabItems() as $key => $item ) : ?>

            <li id="<?php echo $item['slug']; ?>" class="nav-item">
                <a class="nav-link <?= $pageManager->tab == $item['slug'] ? 'active' : ''; ?>"
                   href="admin.php?page=rsgws-base_information&tab=<?php echo $item['slug']; ?>"><?php echo $item['title'] ?></a>
            </li>

		<?php endforeach ?>
    </ul>

    <div class="tab-content" id="pills-tabContent">

		<?php
		// Include views
		$page = ( new RsgwsRegisterMenus() )->rsgws_remove_plugin_namespace( $page ); // Remove namespace
		include( plugin_dir_path( __FILE__ ) . $page . '/' . $pageManager->tab . '.php' );

		?>
    </div>
</div>