<?php
defined( 'ABSPATH' ) || exit; // Prevent direct access
// Get current setting page
$tab = !empty($_GET['tab']) ? sanitize_text_field($_GET['tab']) : '';
// Set section name
$section_name = basename(__FILE__, '.php');
?>
<div class="card-body <?php echo $software_title === 'dasht' ? 'default-base-info-page' : ''; ?>">
    <div class="row">
        <div class="col-md-12">
            <div class="float-<?php echo (is_rtl() ? 'left' : 'right') ?>">
                <img class="linked-customer-groups-image-button" src="<?php echo IMAGE_URL .'/excel-icon.png' ?>"  alt="excel export">
                <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section='.$section_name.'&software=' . $software_title; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
                    <i class="tim-icons icon-video-66"></i>
                </a>
            </div>
        </div>
        <br/><br/>
        <div class="col-md-12">
            <div class="dataTables_wrapper dt-bootstrap4">
                <div class="row">
                    <div class="col-sm-12">
                        <table id="datatable-<?php echo $section_name; ?>-main" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                            <thead>
                            <tr role="row">
                                <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" style="width: 20px;" aria-label="activate to sort column ascending"><?php echo __('ID', 'rsgws') ?></th>
                                <th class="text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1"><?php echo __('Woo Customer Group', 'rsgws') ?></th>
                                <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Software Customer Group', 'rsgws') ?></th>
                                <th class="sorting_desc_disabled sorting_asc_disabled text-left" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1"><?php echo __('Actions', 'rsgws') ?> <div class="float-left"><a href="#"> <button type="button" class="btn btn-warning btn-link btn-sm multi-customer-group-connection-revoke" data-action="revoke" title="<?php _e('Revoke', 'rsgws'); ?>"> <i class="tim-icons icon-simple-remove"></i> </button> </a> <a href="#"> <button type="button" class="btn btn-success btn-link btn-sm multi-customer-group-connection-save" data-action="add" title="<?php _e('Add', 'rsgws'); ?>"> <i class="tim-icons icon-check-2"></i> </button> </a></div></th>
                            </tr>
                            </thead>
                            <tbody>
                            </tbody>
                            <tfoot>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>
    </div>
</div>